Scilab Function
Last update : 16/6/2004

givens - Transformation de Givens

### Calling Sequence

  `U=givens(xy)`
  `U=givens(x,y)`
  `[U,c]=givens(xy)`
  `[U,c]=givens(x,y)`

### Parameters

- `x,y` : deux nombres réels ou complexes
- `xy` : vecteur colonne réel ou complexe à deux composantes
- `U` : matrice unitaire 2 x 2
- `c` : vecteur colonne réel ou complexe à deux composantes

### Description

`U = givens(x, y)` ou `U = givens(xy)` avec `xy = [x;y]` renvoie `U` une matrice unitaire `2`x`2` telle que :

`U*xy=[r;0]=c`.

Notez que `givens(x,y)` et `givens([x;y])` sont équivalents.

### Examples

    A=[3,4;5,6];
    U=givens(A(:,1));
    U*A

### See Also

`qr`,